clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;
     0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46;];
 
Xrow = [0.3 0.304 0.308	0.312 0.316	0.32 0.324 0.328 0.332 0.336 0.34 0.344 0.348 0.352 0.356 0.36 0.364 0.368 0.372 0.376 0.38 0.384 0.388 0.392 0.396 0.4 0.404 0.408 0.412 0.416 0.42 0.424 0.428 0.432 0.436 0.44 0.444 0.448 0.452 0.456 0.46];

Ycol = [
128.2
129.085
129.97
130.855
131.74
132.625
133.51
134.395
135.28
136.165
137.05
137.935
138.82
139.705
140.59
141.475
142.36
143.245
144.13
145.015
145.9
146.785
147.67
148.555
149.44
150.325
151.21
152.095
152.98
153.865
154.75
155.635
156.52
157.405
158.29
159.175
160.06
160.945
161.83
162.715
163.6    
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,41,41)';

y = reshape(Y,41,41)';

z = [
0.00102506	0.00102241	0.00101973	0.001017	0.00101424	0.00101145	0.00100861	0.00100574	0.00100283	0.000999881	0.000996895	0.000993871	0.000990808	0.000987707	0.000984568	0.00098139	0.000978173	0.000974916	0.000971619	0.000968283	0.000964907	0.000961491	0.000958032	0.000954533	0.00095099	0.000947405	0.000943776	0.000940102	0.000936382	0.000932614	0.000928798	0.00092493	0.00092101	0.000917032	0.000912996	0.000908895	0.000904726	0.000900479	0.000896146	0.000891717	0.000887175;
0.00101803	0.0010154	0.00101274	0.00101003	0.00100729	0.00100451	0.0010017	0.000998844	0.000995953	0.000993026	0.00099006	0.000987057	0.000984015	0.000980936	0.000977818	0.000974661	0.000971466	0.000968232	0.000964958	0.000961645	0.000958292	0.000954899	0.000951464	0.000947988	0.00094447	0.000940909	0.000937305	0.000933656	0.000929962	0.00092622	0.00092243	0.000918589	0.000914695	0.000910746	0.000906737	0.000902664	0.000898522	0.000894305	0.000890002	0.000885604	0.000881093;
0.0010111	0.00100849	0.00100584	0.00100315	0.00100043	0.000997672	0.000994876	0.000992042	0.000989172	0.000986264	0.000983319	0.000980336	0.000977315	0.000974256	0.000971159	0.000968025	0.000964851	0.000961639	0.000958388	0.000955097	0.000951766	0.000948396	0.000944985	0.000941533	0.000938038	0.000934503	0.000930923	0.000927299	0.00092363	0.000919913	0.000916149	0.000912334	0.000908467	0.000904544	0.000900562	0.000896517	0.000892404	0.000888215	0.000883942	0.000879573	0.000875093;
0.00100426	0.00100167	0.000999037	0.00099637	0.000993666	0.000990924	0.000988147	0.000985333	0.000982482	0.000979594	0.000976668	0.000973705	0.000970705	0.000967667	0.000964592	0.000961478	0.000958326	0.000955136	0.000951906	0.000948638	0.000945329	0.000941982	0.000938594	0.000935165	0.000931695	0.000928182	0.000924627	0.000921027	0.000917383	0.000913692	0.000909953	0.000906163	0.000902323	0.000898426	0.000894472	0.000890454	0.000886369	0.000882208	0.000877964	0.000873625	0.000869175;
0.000997516	0.000994939	0.000992326	0.000989676	0.00098699	0.000984268	0.000981509	0.000978714	0.000975881	0.000973013	0.000970107	0.000967164	0.000964184	0.000961167	0.000958112	0.000955018	0.000951888	0.000948719	0.000945512	0.000942265	0.000938979	0.000935654	0.000932289	0.000928883	0.000925436	0.000921947	0.000918416	0.00091484	0.000911221	0.000907554	0.00090384	0.000900076	0.000896261	0.00089239	0.000888463	0.000884472	0.000880414	0.000876282	0.000872066	0.000867756	0.000863335;
0.000990859	0.0009883	0.000985704	0.000983072	0.000980404	0.0009777	0.00097496	0.000972183	0.00096937	0.00096652	0.000963633	0.00096071	0.00095775	0.000954753	0.000951718	0.000948646	0.000945536	0.000942388	0.000939202	0.000935978	0.000932714	0.00092941	0.000926068	0.000922685	0.000919261	0.000915795	0.000912287	0.000908735	0.000905139	0.000901498	0.000897809	0.00089407	0.00089028	0.000886436	0.000882534	0.00087857	0.000874539	0.000870434	0.000866247	0.000861966	0.000857574;
0.000984291	0.000981749	0.00097917	0.000976556	0.000973905	0.000971219	0.000968497	0.00096574	0.000962944	0.000960113	0.000957246	0.000954342	0.000951401	0.000948424	0.000945409	0.000942357	0.000939268	0.000936142	0.000932977	0.000929773	0.000926531	0.00092325	0.000919929	0.000916568	0.000913167	0.000909725	0.00090624	0.000902712	0.00089914	0.000895522	0.000891858	0.000888144	0.000884379	0.00088056	0.000876684	0.000872747	0.000868742	0.000864665	0.000860505	0.000856252	0.00085189;
0.00097781	0.000975284	0.000972722	0.000970125	0.000967492	0.000964823	0.00096212	0.000959379	0.000956603	0.00095379	0.000950943	0.000948058	0.000945136	0.000942179	0.000939184	0.000936152	0.000933083	0.000929977	0.000926833	0.00092365	0.00092043	0.00091717	0.000913871	0.000910533	0.000907154	0.000903734	0.000900272	0.000896768	0.000893219	0.000889624	0.000885985	0.000882295	0.000878555	0.000874761	0.000870911	0.000867	0.000863021	0.00085897	0.000854838	0.000850613	0.00084628;
0.000971413	0.000968904	0.000966358	0.000963778	0.000961163	0.000958512	0.000955825	0.000953103	0.000950345	0.000947551	0.000944721	0.000941855	0.000938954	0.000936015	0.000933039	0.000930028	0.000926978	0.000923893	0.000920769	0.000917608	0.000914408	0.00091117	0.000907893	0.000904576	0.000901219	0.000897822	0.000894382	0.000890901	0.000887376	0.000883805	0.000880188	0.000876523	0.000872808	0.000869038	0.000865214	0.000861328	0.000857375	0.000853351	0.000849246	0.000845048	0.000840744;
0.000965099	0.000962606	0.000960078	0.000957514	0.000954916	0.000952282	0.000949613	0.000946908	0.000944168	0.000941393	0.000938581	0.000935733	0.000932851	0.000929931	0.000926976	0.000923983	0.000920954	0.000917888	0.000914785	0.000911644	0.000908465	0.000905248	0.000901992	0.000898697	0.000895362	0.000891986	0.00088857	0.00088511	0.000881608	0.000878061	0.000874467	0.000870826	0.000867135	0.000863391	0.00085959	0.00085573	0.000851803	0.000847805	0.000843726	0.000839556	0.00083528;
0.000958868	0.00095639	0.000953878	0.000951331	0.00094875	0.000946132	0.000943481	0.000940793	0.000938071	0.000935314	0.00093252	0.000929692	0.000926827	0.000923926	0.00092099	0.000918016	0.000915007	0.000911961	0.000908878	0.000905757	0.000902598	0.000899402	0.000896167	0.000892893	0.00088958	0.000886226	0.000882832	0.000879395	0.000875916	0.00087239	0.000868821	0.000865203	0.000861535	0.000857815	0.000854039	0.000850204	0.000846302	0.00084233	0.000838278	0.000834134	0.000829886;
0.000952715	0.000950254	0.000947758	0.000945227	0.000942662	0.000940062	0.000937427	0.000934757	0.000932052	0.000929312	0.000926537	0.000923727	0.00092088	0.000917998	0.000915081	0.000912126	0.000909136	0.000906109	0.000903046	0.000899945	0.000896808	0.000893631	0.000890417	0.000887165	0.000883872	0.00088054	0.000877167	0.000873752	0.000870295	0.000866793	0.000863246	0.000859651	0.000856007	0.000852311	0.00084856	0.000844748	0.000840872	0.000836925	0.0008329	0.000828783	0.000824561;
0.000946641	0.000944196	0.000941716	0.000939202	0.000936653	0.000934069	0.000931451	0.000928799	0.00092611	0.000923388	0.00092063	0.000917838	0.00091501	0.000912146	0.000909247	0.000906311	0.00090334	0.000900333	0.000897289	0.000894208	0.00089109	0.000887934	0.000884741	0.000881509	0.000878238	0.000874927	0.000871575	0.000868182	0.000864747	0.000861267	0.000857743	0.000854171	0.00085055	0.000846877	0.00084315	0.000839363	0.000835512	0.00083159	0.000827589	0.0008235	0.000819305;
0.000940644	0.000938215	0.00093575	0.000933252	0.000930719	0.000928151	0.00092555	0.000922914	0.000920244	0.000917538	0.000914798	0.000912023	0.000909213	0.000906368	0.000903487	0.00090057	0.000897618	0.000894629	0.000891604	0.000888544	0.000885445	0.00088231	0.000879136	0.000875925	0.000872674	0.000869384	0.000866054	0.000862682	0.000859269	0.000855811	0.000852309	0.00084876	0.000845163	0.000841512	0.000837809	0.000834046	0.000830219	0.000826322	0.000822348	0.000818283	0.000814114;
0.000934723	0.000932309	0.00092986	0.000927377	0.00092486	0.000922309	0.000919724	0.000917105	0.000914451	0.000911763	0.00090904	0.000906282	0.00090349	0.000900662	0.0008978	0.000894901	0.000891968	0.000888998	0.000885993	0.00088295	0.000879871	0.000876755	0.000873602	0.000870411	0.00086718	0.000863911	0.000860602	0.000857252	0.00085386	0.000850424	0.000846945	0.000843417	0.000839842	0.000836215	0.000832535	0.000828796	0.000824993	0.000821121	0.00081717	0.000813131	0.00080899;
0.000928876	0.000926476	0.000924043	0.000921576	0.000919075	0.000916539	0.00091397	0.000911368	0.000908731	0.000906059	0.000903353	0.000900613	0.000897838	0.000895028	0.000892184	0.000889303	0.000886388	0.000883437	0.00088045	0.000877427	0.000874367	0.000871271	0.000868137	0.000864966	0.000861756	0.000858507	0.000855219	0.00085189	0.000848518	0.000845104	0.000841646	0.000838142	0.000834589	0.000830984	0.000827327	0.000823612	0.000819832	0.000815984	0.000812059	0.000808045	0.000803929;
0.000923101	0.000920717	0.000918298	0.000915847	0.000913361	0.000910842	0.000908289	0.000905702	0.000903081	0.000900426	0.000897737	0.000895014	0.000892256	0.000889464	0.000886637	0.000883774	0.000880877	0.000877945	0.000874976	0.000871972	0.000868932	0.000865854	0.00086274	0.000859589	0.000856399	0.00085317	0.000849902	0.000846593	0.000843244	0.00083985	0.000836414	0.000832931	0.0008294	0.000825819	0.000822184	0.000818491	0.000814736	0.000810911	0.00080701	0.000803021	0.000798931;
0.000917398	0.000915029	0.000912625	0.000910188	0.000907718	0.000905215	0.000902677	0.000900106	0.000897502	0.000894863	0.000892191	0.000889484	0.000886744	0.000883969	0.000881159	0.000878314	0.000875435	0.000872521	0.000869571	0.000866585	0.000863563	0.000860505	0.00085741	0.000854278	0.000851107	0.000847899	0.000844651	0.000841363	0.000838034	0.000834662	0.000831246	0.000827785	0.000824276	0.000820717	0.000817104	0.000813435	0.000809702	0.000805902	0.000802024	0.00079806	0.000793995;
0.000911765	0.00090941	0.000907021	0.000904599	0.000902144	0.000899656	0.000897135	0.00089458	0.000891991	0.000889369	0.000886713	0.000884023	0.000881299	0.000878541	0.000875749	0.000872921	0.00087006	0.000867163	0.000864231	0.000861264	0.000858261	0.000855221	0.000852145	0.000849032	0.000845882	0.000842693	0.000839465	0.000836196	0.000832889	0.000829537	0.000826143	0.000822702	0.000819215	0.000815677	0.000812087	0.00080844	0.00080473	0.000800953	0.000797099	0.00079316	0.00078912;
0.000906201	0.00090386	0.000901486	0.00089908	0.000896639	0.000894165	0.00089166	0.00088912	0.000886547	0.000883941	0.000881301	0.000878628	0.000875921	0.000873179	0.000870404	0.000867594	0.00086475	0.000861871	0.000858957	0.000856008	0.000853023	0.000850002	0.000846945	0.000843851	0.000840719	0.00083755	0.000834341	0.000831094	0.000827805	0.000824475	0.000821101	0.000817681	0.000814216	0.000810699	0.000807131	0.000803506	0.000799819	0.000796065	0.000792235	0.00078832	0.000784304;
0.000900704	0.000898377	0.000896018	0.000893626	0.0008912	0.000888742	0.000886251	0.000883727	0.00088117	0.000878579	0.000875956	0.000873298	0.000870607	0.000867883	0.000865124	0.000862331	0.000859504	0.000856643	0.000853747	0.000850816	0.000847848	0.000844846	0.000841807	0.000838732	0.00083562	0.00083247	0.000829281	0.000826053	0.000822784	0.000819473	0.00081612	0.000812721	0.000809276	0.000805781	0.000802235	0.000798631	0.000794968	0.000791236	0.000787429	0.000783538	0.000779547;
0.000895274	0.000892961	0.000890615	0.000888238	0.000885827	0.000883383	0.000880908	0.000878399	0.000875857	0.000873282	0.000870674	0.000868032	0.000865359	0.00086265	0.000859908	0.000857133	0.000854323	0.000851478	0.000848599	0.000845686	0.000842737	0.000839752	0.000836732	0.000833676	0.000830582	0.000827451	0.000824281	0.000821072	0.000817823	0.000814533	0.000811199	0.000807821	0.000804397	0.000800924	0.000797398	0.000793817	0.000790174	0.000786465	0.000782682	0.000778813	0.000774846;
0.000889908	0.00088761	0.000885278	0.000882914	0.000880518	0.000878089	0.000875628	0.000873134	0.000870608	0.000868049	0.000865456	0.00086283	0.000860172	0.00085748	0.000854755	0.000851995	0.000849202	0.000846375	0.000843513	0.000840618	0.000837686	0.00083472	0.000831717	0.000828679	0.000825603	0.000822492	0.000819341	0.000816151	0.000812922	0.000809651	0.000806338	0.00080298	0.000799576	0.000796124	0.000792619	0.000789059	0.000785439	0.000781752	0.000777991	0.000774146	0.000770203;
0.000884607	0.000882321	0.000880004	0.000877654	0.000875273	0.000872858	0.000870412	0.000867933	0.000865421	0.000862878	0.0008603	0.00085769	0.000855048	0.000852372	0.000849662	0.00084692	0.000844143	0.000841333	0.000838488	0.00083561	0.000832695	0.000829747	0.000826762	0.000823742	0.000820686	0.000817592	0.00081446	0.000811289	0.000808078	0.000804827	0.000801534	0.000798196	0.000794813	0.000791381	0.000787898	0.000784359	0.00078076	0.000777095	0.000773356	0.000769534	0.000765614;
0.000879368	0.000877097	0.000874793	0.000872457	0.000870089	0.000867689	0.000865257	0.000862793	0.000860296	0.000857767	0.000855205	0.000852611	0.000849984	0.000847324	0.000844631	0.000841904	0.000839144	0.000836351	0.000833523	0.000830661	0.000827764	0.000824833	0.000821867	0.000818864	0.000815825	0.00081275	0.000809636	0.000806485	0.000803293	0.000800061	0.000796787	0.000793469	0.000790106	0.000786694	0.000783231	0.000779714	0.000776136	0.000772493	0.000768777	0.000764977	0.000761081;
0.000874191	0.000871933	0.000869642	0.000867321	0.000864967	0.000862581	0.000860163	0.000857713	0.000855232	0.000852717	0.000850171	0.000847591	0.00084498	0.000842335	0.000839658	0.000836947	0.000834204	0.000831426	0.000828615	0.000825771	0.000822891	0.000819977	0.000817028	0.000814043	0.000811022	0.000807965	0.00080487	0.000801737	0.000798564	0.000795351	0.000792097	0.000788798	0.000785454	0.000782063	0.00077862	0.000775123	0.000771567	0.000767945	0.000764251	0.000760473	0.0007566;
0.000869074	0.000866829	0.000864553	0.000862244	0.000859904	0.000857532	0.000855129	0.000852693	0.000850226	0.000847727	0.000845195	0.000842631	0.000840035	0.000837406	0.000834744	0.000832049	0.000829322	0.00082656	0.000823766	0.000820938	0.000818075	0.000815178	0.000812246	0.000809279	0.000806276	0.000803236	0.000800159	0.000797044	0.00079389	0.000790696	0.00078746	0.000784181	0.000780857	0.000777485	0.000774063	0.000770587	0.000767051	0.000763451	0.000759778	0.000756022	0.000752171;
0.000864017	0.000861785	0.000859522	0.000857227	0.0008549	0.000852542	0.000850153	0.000847732	0.000845279	0.000842794	0.000840277	0.000837728	0.000835146	0.000832533	0.000829887	0.000827207	0.000824496	0.000821751	0.000818973	0.000816161	0.000813315	0.000810435	0.00080752	0.00080457	0.000801584	0.000798562	0.000795503	0.000792407	0.00078927	0.000786095	0.000782878	0.000779618	0.000776314	0.000772961	0.000769559	0.000766103	0.000762588	0.000759008	0.000755356	0.000751623	0.000747795;
0.000859019	0.0008568	0.00085455	0.000852268	0.000849954	0.000847611	0.000845235	0.000842828	0.000840388	0.000837918	0.000835416	0.000832881	0.000830316	0.000827716	0.000825086	0.000822422	0.000819726	0.000816997	0.000814235	0.000811439	0.00080861	0.000805746	0.000802848	0.000799915	0.000796947	0.000793943	0.000790901	0.000787822	0.000784705	0.000781547	0.00077835	0.000775108	0.000771822	0.00076849	0.000765107	0.00076167	0.000758176	0.000754618	0.000750987	0.000747275	0.000743469;
0.000854078	0.000851872	0.000849635	0.000847366	0.000845066	0.000842735	0.000840373	0.00083798	0.000835555	0.000833099	0.000830611	0.000828091	0.00082554	0.000822956	0.00082034	0.000817692	0.000815011	0.000812298	0.000809552	0.000806772	0.000803959	0.000801112	0.00079823	0.000795314	0.000792363	0.000789376	0.000786352	0.000783291	0.000780192	0.000777052	0.000773872	0.00077065	0.000767383	0.00076407	0.000760706	0.00075729	0.000753815	0.000750276	0.000746667	0.000742977	0.000739192;
0.000849194	0.000847	0.000844775	0.00084252	0.000840233	0.000837916	0.000835568	0.000833187	0.000830776	0.000828334	0.000825861	0.000823355	0.000820818	0.000818249	0.000815648	0.000813015	0.00081035	0.000807652	0.000804922	0.000802159	0.000799361	0.00079653	0.000793665	0.000790766	0.000787831	0.000784862	0.000781856	0.000778811	0.00077573	0.000772608	0.000769447	0.000766243	0.000762995	0.0007597	0.000756356	0.000752959	0.000749504	0.000745986	0.000742397	0.000738728	0.000734965;
0.000844365	0.000842184	0.000839971	0.000837729	0.000835455	0.000833151	0.000830816	0.00082845	0.000826052	0.000823624	0.000821164	0.000818673	0.000816151	0.000813596	0.00081101	0.000808393	0.000805742	0.00080306	0.000800345	0.000797597	0.000794815	0.000792001	0.000789152	0.00078627	0.000783351	0.000780398	0.000777409	0.000774383	0.000771319	0.000768215	0.000765072	0.000761886	0.000758656	0.00075538	0.000752055	0.000748678	0.000745242	0.000741744	0.000738175	0.000734527	0.000730786;
0.000839591	0.000837422	0.000835222	0.000832992	0.000830731	0.00082844	0.000826118	0.000823765	0.000821382	0.000818967	0.000816521	0.000814044	0.000811536	0.000808996	0.000806424	0.000803822	0.000801186	0.000798519	0.000795819	0.000793087	0.000790322	0.000787523	0.00078469	0.000781824	0.000778923	0.000775986	0.000773013	0.000770004	0.000766957	0.000763871	0.000760746	0.000757578	0.000754366	0.000751109	0.000747802	0.000744444	0.000741029	0.00073755	0.000734002	0.000730374	0.000726654;
0.00083487	0.000832714	0.000830526	0.000828309	0.00082606	0.000823782	0.000821474	0.000819134	0.000816763	0.000814362	0.00081193	0.000809468	0.000806973	0.000804448	0.00080189	0.000799302	0.000796682	0.00079403	0.000791345	0.000788628	0.000785878	0.000783095	0.000780278	0.000777428	0.000774543	0.000771623	0.000768667	0.000765675	0.000762645	0.000759577	0.000756469	0.000753318	0.000750125	0.000746886	0.000743598	0.000740259	0.000736862	0.000733403	0.000729875	0.000726268	0.000722568;
0.000830203	0.000828058	0.000825883	0.000823678	0.000821442	0.000819177	0.00081688	0.000814554	0.000812197	0.000809809	0.000807391	0.000804942	0.000802461	0.00079995	0.000797407	0.000794833	0.000792227	0.00078959	0.000786921	0.000784219	0.000781485	0.000778717	0.000775916	0.000773081	0.000770212	0.000767309	0.000764369	0.000761394	0.000758381	0.00075533	0.000752239	0.000749106	0.000745931	0.00074271	0.000739441	0.000736119	0.000732742	0.000729303	0.000725794	0.000722207	0.000718528;
0.000825586	0.000823454	0.000821291	0.000819098	0.000816875	0.000814622	0.000812339	0.000810025	0.000807681	0.000805307	0.000802902	0.000800466	0.000798	0.000795502	0.000792974	0.000790413	0.000787823	0.0007852	0.000782545	0.000779859	0.000777139	0.000774388	0.000771602	0.000768783	0.00076593	0.000763043	0.00076012	0.00075716	0.000754164	0.00075113	0.000748056	0.000744941	0.000741784	0.000738581	0.00073533	0.000732027	0.000728668	0.000725248	0.000721759	0.000718191	0.000714533;
0.000821022	0.000818901	0.00081675	0.000814569	0.000812358	0.000810118	0.000807847	0.000805547	0.000803215	0.000800854	0.000798462	0.00079604	0.000793587	0.000791104	0.000788589	0.000786044	0.000783467	0.000780859	0.000778218	0.000775547	0.000772842	0.000770105	0.000767336	0.000764532	0.000761695	0.000758823	0.000755917	0.000752974	0.000749995	0.000746977	0.00074392	0.000740822	0.000737682	0.000734497	0.000731264	0.000727979	0.000724639	0.000721238	0.000717768	0.000714221	0.000710583;
0.000816507	0.000814398	0.000812259	0.00081009	0.000807891	0.000805663	0.000803405	0.000801117	0.000798799	0.00079645	0.000794072	0.000791663	0.000789224	0.000786754	0.000784253	0.000781721	0.000779159	0.000776565	0.000773939	0.000771282	0.000768593	0.000765871	0.000763116	0.000760328	0.000757506	0.000754651	0.00075176	0.000748834	0.000745871	0.00074287	0.000739829	0.000736749	0.000733626	0.000730458	0.000727243	0.000723976	0.000720655	0.000717272	0.000713821	0.000710293	0.000706675;
0.000812041	0.000809945	0.000807816	0.00080566	0.000803473	0.000801257	0.000799012	0.000796736	0.00079443	0.000792095	0.000789729	0.000787333	0.000784908	0.000782451	0.000779964	0.000777447	0.000774898	0.000772318	0.000769707	0.000767064	0.000764389	0.000761682	0.000758943	0.00075617	0.000753364	0.000750524	0.000747649	0.000744738	0.000741792	0.000738807	0.000735784	0.00073272	0.000729614	0.000726464	0.000723266	0.000720018	0.000716714	0.00071335	0.000709917	0.000706409	0.00070281;
0.000807625	0.000805539	0.000803423	0.000801279	0.000799104	0.000796899	0.000794666	0.000792402	0.000790109	0.000787787	0.000785434	0.000783051	0.000780639	0.000778195	0.000775722	0.000773218	0.000770683	0.000768117	0.000765521	0.000762892	0.000760232	0.00075754	0.000754815	0.000752058	0.000749266	0.000746442	0.000743582	0.000740688	0.000737757	0.000734789	0.000731782	0.000728734	0.000725646	0.000722512	0.000719332	0.000716101	0.000712815	0.00070947	0.000706056	0.000702567	0.000698988;
0.000803256	0.000801181	0.000799077	0.000796944	0.000794781	0.000792588	0.000790367	0.000788116	0.000785835	0.000783525	0.000781185	0.000778815	0.000776416	0.000773986	0.000771526	0.000769035	0.000766514	0.000763962	0.000761379	0.000758765	0.000756119	0.000753441	0.000750732	0.000747989	0.000745213	0.000742404	0.00073956	0.000736681	0.000733766	0.000730814	0.000727823	0.000724793	0.00072172	0.000718603	0.000715441	0.000712227	0.000708959	0.000705632	0.000702237	0.000698766	0.000695207];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','none',...
    'Marker','x',...
    'MarkerEdgeColor','[0.6350 0.0780 0.1840]',...
    'MarkerFaceColor','[0.9290 0.6940 0.1250]')

zlim([0.00068 0.00103])
ylim([128.2E9 163.6E9])
xlim([0.3 0.46])

% xticks([0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46])
xticks([0.30 0.32 0.34 0.36 0.38 0.40 0.42 0.44 0.46])
yticks([128.2E9 135.5E9 140.0E9 145.0E9 150.0E9 155.5E9 163.6E9])
zticks([0.00069 0.00075 0.00080 0.00085 0.00090 0.00095 0.00103])

title('Strain energy density $\mathcal{E}(E,\nu)$ - Low load - LLZO - Full range of Young E','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Lowload_Fullrange_strainenergy_LLZO_48e.eps
print -dpng Lowload_Fullrange_strainenergy_LLZO_48e.png